/*
 * auth_pam.h:
 * authenticate using Pluggable Authentication Modules
 *
 * Copyright (c) 2000 Chris Lightfoot. All rights reserved.
 *
 * $Id: auth_pam.h,v 1.4 2001/01/11 22:28:08 chris Exp $
 *
 */

#ifndef __AUTH_PAM_H_ /* include guard */
#define __AUTH_PAM_H_

#ifdef AUTH_PAM
#include "authswitch.h"

/* config directive auth-pam-mailspool-dir */
#define AUTH_PAM_MAILSPOOL_DIR  MAILSPOOL_DIR

/* Config directive auth-pam-mail-group */
#undef  AUTH_PAM_MAIL_GID

/* Config directive auth-pam-facility */
#define AUTH_PAM_FACILITY       "tpop3d"

int         auth_pam_init(void);
authcontext auth_pam_new_user_pass(const char *user, const char *pass);
void        auth_pam_close(void);

#endif /* AUTH_PAM */

#endif /* __AUTH_PAM_H_ */
